<nz-content>

  <nz-page-header style="background-color: white;" class="site-page-header" nzTitle="ทะเบียนผู้ป่วยรอรับเข้าตึก">
    <nz-page-header-extra>
      <nz-space>
        จากวันที่ <nz-date-picker [(ngModel)]="dateStart" class="ml-2 mr-2"></nz-date-picker>
        ถึงวันที่ <nz-date-picker [(ngModel)]="dateEnd" class="ml-2"></nz-date-picker>
        <nz-input-group *nzSpaceItem nzSearch [nzAddOnAfter]="suffixIconButton">
          <input type="text" name="query" [(ngModel)]="query" nz-input placeholder="ค้นหา..." />
        </nz-input-group>
        <ng-template #suffixIconButton>
          <nz-button-group>
            <button nz-button nzType="primary" nzSearch [disabled]="!query" (click)="doSearch()"><span nz-icon
                nzType="search"></span></button>
            <button nz-button nzType="primary" (click)="refresh()"><span nz-icon nzType="reload"></span></button>
          </nz-button-group>
        </ng-template>
      </nz-space>
    </nz-page-header-extra>
  </nz-page-header>

  <div class="inner-content -mt-8">
    <div class="flex flex-col w-full p-0" style="position: relative">
      <ngx-spinner bdColor="rgba(0,0,0,0.3)" color="#fff" type="ball-clip-rotate-multiple" size="large"
        [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!-- Your parent container(div) should have position: relative; -->
      </ngx-spinner>

      <!-- <div class="absolute left-1/2 bottom-1/2">
      <nz-spin *ngIf="isLoading" nzSize="large" nzTip="Loading..."></nz-spin>
    </div> -->
      <nz-table #dataTable nzSize="small" [nzHideOnSinglePage]="true" [nzData]="dataSet">
        <thead>
          <tr>
            <th>AN</th>
            <th>HN</th>
            <th>ชื่อ - สกุล</th>
            <th>อายุ</th>
            <th>เพศ</th>
            <th>Diag text</th>
            <th>Admit Date</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of dataTable.data">
            <td>{{data.an}}</td>
            <td>{{data.hn}}</td>
            <td>{{data.title}}{{data.fname}} {{data.lname}}</td>
            <td>{{data.age}}</td>
            <td>{{data.gender}}</td>
            <td>{{data.pre_diag}}</td>
            <td>{{data.admit_date}} เวลา {{data.admit_time}}</td>
            <td style="text-align: center;">
              <button nz-button nzType="primary" [nzSize]="'default'" nzShape="round" (click)="registerIpt(data)">
                <i class="fa-solid fa-house-chimney-user"></i>&nbsp;
                <div class="hidden md:inline-flex lg:inline-flex xl:inline-flex">รับเข้าตึก</div>
              </button>
              <!-- <button nz-button nzType="primary" (click)="register(data);" [nzSize]="'default'" nzShape="round"
              class="mr-2 p-2 justify-center content-center items-center"><i class="fa-solid fa-house-user"></i>รับเข้าตึก</button> -->

              <!-- <button nz-button nz-dropdown [nzDropdownMenu]="menu" nzShape="round">
              <span nz-icon nzType="menu"></span>
              จัดการ
            </button>
            <nz-dropdown-menu #menu="nzDropdownMenu">
              <ul nz-menu nzSelectable>
                <li nz-menu-item>แก้ไขข้อมูล</li>
                <li nz-menu-item>บันทึกกิจกรรม (Nurse note)</li>
                <li nz-menu-item nzDanger>ลบรายการ</li>
              </ul>
            </nz-dropdown-menu> -->
            </td>
          </tr>
        </tbody>
      </nz-table>

      <br>
      <nz-pagination [nzPageIndex]="pageIndex" [nzTotal]="total" nzShowSizeChanger [nzPageSize]="pageSize"
        [nzPageSizeOptions]="[20,50,100,500]" (nzPageIndexChange)="onPageIndexChange($event)"
        (nzPageSizeChange)="onPageSizeChange($event)" [nzShowTotal]="totalTemplate"></nz-pagination>

      <ng-template #totalTemplate let-total>ทั้งหมด {{ total | number }} รายการ</ng-template>

    </div>
  </div>
</nz-content>